Postgresql 11 support?

Hi,

According to https://docs.nextcloud.com/server/16/admin_manual/installation/system_requirements.html, Nextcloud 16 only support Postgresql 9 and 10.
I tried to find any reference online to the current or planned support of Postgresql 11 (released in October last year).

Do you know if Nextcloud 16 can run with Postgresql 11 and if not if it’s planed?

Detaills:

  • Nextcloud version (eg, 12.0.2): 16.0.1
  • Operating system and version (eg, Ubuntu 17.04): Gentoo
  • Apache or nginx version (eg, Apache 2.4.25): nginx 1.16.0-r1
  • PHP version (eg, 7.1): 7.3.6

Thanks in advance!

2 Likes

bumping ok? :smiley:

Not a developer, but I just completed an upgrade to Nextcloud 16.0.3.0 running on PostgreSQL 11.4 and everything appears to be working correctly.

HTH!

Hello,

according to, php7.3 is not supported etheir, MariaDB 10.3 the same … but in fact, they work.

The set-back in that case of working-unsupported distro, is the absence of support when something gets wrongs !